Bug 1889484 - Logging - Support RELP secure transport in the logging role configuration
Summary: Logging - Support RELP secure transport in the logging role configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rhel-system-roles
Version: 8.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.4
Assignee: Noriko Hosoi
QA Contact: Dalibor Pospíšil
Eliane Ramos Pereira
URL:
Whiteboard: role:logging
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-19 18:22 UTC by Noriko Hosoi
Modified: 2021-05-18 16:02 UTC (History)
4 users (show)

Fixed In Version: rhel-system-roles-1.0.0-31.el8
Doc Type: Enhancement
Doc Text:
.The RELP secure transport support added to the Logging role configuration Reliable Event Logging Protocol, RELP, is a secure, reliable protocol to forward and receive log messages among `rsyslog` servers. With this enhancement, administrators can now benefit from the RELP, which is a useful protocol with high demands from `rsyslog` users, as `rsyslog` servers are capable of forwarding and receiving log messages over the RELP protocol.
Clone Of:
Environment:
Last Closed: 2021-05-18 16:02:26 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github linux-system-roles logging pull 172 0 None closed RHELPLAN-32454 - Add imrelp support to inputs. 2021-02-16 15:48:52 UTC

Description Noriko Hosoi 2020-10-19 18:22:23 UTC
Description of problem:
SECENGSP-3285 - Logging - TLS and RELP transport of logging services

Comment 1 Noriko Hosoi 2020-10-19 18:33:26 UTC
TLS is already verified by @dapospis@redhat.com and released with rhel-8.3.

In terms of the RELP verification, unit tests are in the upstream CI tests.
https://github.com/linux-system-roles/logging/blob/master/tests/tests_relp_client.yml
https://github.com/linux-system-roles/logging/blob/master/tests/tests_relp_server.yml

Downstream combination tests need to be developed and executed.

Comment 2 Dalibor Pospíšil 2020-10-19 19:35:38 UTC
That's right, TLS is verified within RHEL-8.3. But this bug is about RELP which is going to be delivered within 8.4, right?

Comment 14 errata-xmlrpc 2021-05-18 16:02:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (rhel-system-roles bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2021:1909


Note You need to log in before you can comment on or make changes to this bug.